Package de.willuhn.jameica.hbci.passports.ddv

# Class DDVConfigFactory

java.lang.Object
de.willuhn.jameica.hbci.passports.ddv.DDVConfigFactory

public class DDVConfigFactory extends Object
Eine Factory zum Laden, Erstellen und Aendern von Kartenleser-Konfigurationen.

## Constructor Summary

Constructors
Constructor
Description
`DDVConfigFactory()`

## Method Summary

Modifier and Type
Method
Description
`static DDVConfig`
`create()`
Erzeugt eine neue DDV-Config.
`static org.kapott.hbci.passport.HBCIPassportChipcard`
`createPassport(DDVConfig config)`
Erstellt ein Passport-Objekt aus der Config.
`static void`
`delete(DDVConfig config)`
Loescht die angegebene Config.
`static DDVConfig`
`findByKonto(Konto konto)`
Liefert die zum uebergebenen Konto gehoerende PIN/Tan-Config oder `null` wenn keine gefunden wurde.
`static List<DDVConfig>`
`getConfigs()`
Liefert eine Liste der vorhandenen Kartenleser-Konfigurationen.
`static List<Reader>`
`getReaderPresets()`
Liefert eine Liste mit bekannten Reader-Presets.
`static DDVConfig`
`scan(de.willuhn.util.ProgressMonitor monitor, de.willuhn.jameica.system.BackgroundTask task)`
Startet eine automatische Suche nach einem Kartenleser.
`static void`
`store(DDVConfig config)`
Speichert die Config.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DDVConfigFactory

public DDVConfigFactory()

## Method Details

### getConfigs

public static List<DDVConfig> getConfigs()
Liefert eine Liste der vorhandenen Kartenleser-Konfigurationen.

Returns:
  eine Liste der vorhandenen Kartenleser-Konfigurationen.

### getReaderPresets

public static List<Reader> getReaderPresets()
Liefert eine Liste mit bekannten Reader-Presets.

Returns:
  Liste mit bekannten Reader-Presets.

### store

public static void store(DDVConfig config)
Speichert die Config.

Parameters:
  `config` - die zu speichernde Config.

### delete

public static void delete(DDVConfig config) throws de.willuhn.util.ApplicationException
Loescht die angegebene Config.

Parameters:
  `config` - die zu loeschende Config.
Throws:
  `de.willuhn.util.ApplicationException`

### scan

public static DDVConfig scan(de.willuhn.util.ProgressMonitor monitor, de.willuhn.jameica.system.BackgroundTask task)
Startet eine automatische Suche nach einem Kartenleser.

Parameters:
  `monitor` - ein Monitor, mit dem der Scan-Fortschritt verfolgt werden kann.
  `task` - ueber den Task koennen wir erkennen, ob wir abbrechen sollen.
Returns:
  der gefundene Kartenleser oder NULL wenn keiner gefunden wurde.

### findByKonto

public static DDVConfig findByKonto(Konto konto) throws RemoteException, de.willuhn.util.ApplicationException
Liefert die zum uebergebenen Konto gehoerende PIN/Tan-Config oder `null` wenn keine gefunden wurde.

Parameters:
  `konto` - Konto, fuer das die Config gesucht wird.
Returns:
  Pin/Tan-config des Kontos oder null wenn keine gefunden wurde.
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`

### create

public static DDVConfig create()
Erzeugt eine neue DDV-Config.

Returns:
  die neue DDV-Config.

### createPassport

public static org.kapott.hbci.passport.HBCIPassportChipcard createPassport(DDVConfig config) throws de.willuhn.util.ApplicationException, RemoteException
Erstellt ein Passport-Objekt aus der Config.

Parameters:
  `config` - die Config.
Returns:
  das Passport-Objekt.
Throws:
  `de.willuhn.util.ApplicationException`
  `RemoteException`